﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
//=============================================================================
// This script was created by Matt Parkin as a part of the Polygon Pilgrimage
// Go to www.youtube.com/mattparkin and subscribe for more awesome tutorials!
// You are free to use/modify/edit this script however you like.  Please give
// credit to the orginal creator and share your work!
//=============================================================================
public class BRS_InventoryManager : MonoBehaviour
{
	public int numSlots = 6;
	public GameObject[] ItemInv;
	public int nextFreeSlot;

	public FN_ItemManager inItemMgr;
	public string inItemName;
	public bool canStack = false;
	public bool canAdd = false;

	private GameObject _BRS_Mechanics;
	private BRS_UIManager _UIM;

	// Use this for initialization
	void Start ()
	{
		ItemInv = new GameObject[numSlots];
		_BRS_Mechanics = GameObject.Find ("BRS_Mechanics");
		_UIM = _BRS_Mechanics.GetComponent<BRS_UIManager> ();
	}

	// Update is called once per frame
	void Update ()
	{
		
	}

	public GameObject AddToInventory(GameObject newItem)
	{
		canAdd = false;

		//Get a look at what type of item we are adding
		inItemMgr = newItem.GetComponent<FN_ItemManager> ();

		//Get the name of the item
		inItemName = inItemMgr.ItemName;

		//Do we already have one of those items?


		//Is it stackable?
		canStack = inItemMgr.isStackable;

		//If we don't already have one, and it is stackable...
		if (canStack)
		{
			Debug.Log ("Increase the inventory for this item.");
			return newItem;
		}
		else
		{
			//If we don't already have one, and its NOT stackable...
			Debug.Log("Attempt to add it to our inventory if we have room");
		}
			
		//Do we have room?
		//If we get back a -1 that means that we are full up!
		if (NextFreeSlot () < 0)
		{
			Debug.Log ("You are overincumbered!");
			return null;
		}
		else
		{
			Debug.Log ("added to inventory");
			var newSlotID = NextFreeSlot ();

			//Add a new Inventory Icon to the UIManager
			//UIM.AddInventoryIcon (newSlotID);

			ItemInv [newSlotID] = newItem;
			canAdd = true;
			return newItem;
		}
		//canAdd = false;
		//return newItem;
	}

	public int NextFreeSlot()
	{
		nextFreeSlot = System.Array.IndexOf (ItemInv, null);
		//Return the next free slot index
		return nextFreeSlot;
	}
}
