﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[CreateAssetMenu(fileName = "InventoryItem", menuName = "InventoryItem")]
public class InventoryItem : ScriptableObject
{
	public string Name;
	public string Description;

	public Texture2D Icon;
	public Texture2D UnSelectedIconBG;
	public Texture2D SelectedIconBG;

	public enum ItemTypeEnum
	{
		Consumable, Weapon
	}
	[Header("Item Type")]
	public ItemTypeEnum ItemType;

	public enum AmmoTypeEnum
	{
		_9mm, Shells, Rifle, HighCaliber
	}
	[Header("Ammo Type")]
	public AmmoTypeEnum AmmoType;

	[Header("Weapon")]

	public float ReloadSpeed;
	public float FireRate;
	public float MaxAmmo;
	public float MagazineSize;
	public float Range;

	public float Durability;
	public float Weight;

	//World pickup prefab
	public GameObject PickUp;
}
